unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, AdvUtil, Vcl.Grids, AdvObj, BaseGrid,
  AdvGrid;

type
  TForm1 = class(TForm)
    AdvStringGrid1: TAdvStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure AdvStringGrid1GetEditorType(Sender: TObject; ACol, ARow: Integer;
      var AEditor: TEditorType);
    procedure AdvStringGrid1CanEditCell(Sender: TObject; ARow, ACol: Integer;
      var CanEdit: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.AdvStringGrid1CanEditCell(Sender: TObject; ARow, ACol: Integer;
  var CanEdit: Boolean);
begin
  CanEdit := acol = 2;
end;

procedure TForm1.AdvStringGrid1GetEditorType(Sender: TObject; ACol,
  ARow: Integer; var AEditor: TEditorType);
begin
  if arow = 1 then
    AEditor := edNormal
  else
    AEditor := edFloatSpinEdit;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  advstringgrid1.MouseActions.DirectEdit := true;
  advstringgrid1.MouseActions.WheelAction := waMoveSelection;
  advstringgrid1.MouseActions.WheelIncrement := 1;
  advstringgrid1.Navigation.AlwaysEdit := false;
  advstringgrid1.Navigation.AdvanceAuto := true;
  advstringgrid1.Navigation.AdvanceAutoEdit := false;
  advstringgrid1.Navigation.AdvanceOnEnter := true;
  advstringgrid1.Navigation.AdvanceSkipReadOnlyCells := true;
  advstringgrid1.Navigation.AdvanceDirection := adTopBottomInCol;
  advstringgrid1.Navigation.TabAdvanceDirection := adTopBottomInCol;
  advstringgrid1.Options := advstringgrid1.Options + [goEditing,goTabs];
  advstringgrid1.Cells[2,1] := 'value';
  advstringgrid1.Cells[2,2] := '1.0';
  advstringgrid1.Cells[2,3] := '2.0';
end;

end.
